using System;
using System.Xml;
using System.Text;
using System.Web;

/// <summary>
/// Implements an HCard Micro Format
/// </summary>
public class HCardMicroFormat : MicroFormat
{
    private XmlNode _node;

    /// <summary>
    /// Parses the node given for hcard information.
    /// </summary>
    /// <param name="node">The XmlNode that contains an HCard.</param>
	public HCardMicroFormat(XmlNode node)
	{
        _node = node;	  
	}

    /// <summary>
    /// Returns a string containing html for a MicroFormat.
    /// </summary>
    /// <returns>A string containing html for a MicroFormat.</returns>
    public override string ToHtml()
    {
        StringBuilder outBuilder = new StringBuilder();
        outBuilder.Append("<div class=\"vcard\"><img src=\"Images/icon-hcard-download.png\" alt=\"hCard\" /> ");
        outBuilder.Append(_node.InnerXml);
        outBuilder.Append("<div style=\"background: #ccc;\"><pre><code>");
        outBuilder.Append(HttpUtility.HtmlEncode(_node.OuterXml));
        outBuilder.Append("</code></pre></div>");
        outBuilder.Append("</div>");
        return outBuilder.ToString();
    }
}
