using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using System.Net;
using System.IO;
using System.Text;
using System.Xml;
using System.Collections.Generic;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    // analyzes the url given
    protected void AnalyzeButton_Click(object sender, EventArgs e)
    {
        string url = urlInput.Text;
        HttpWebRequest http = (HttpWebRequest)WebRequest.Create(url);
        http.Timeout = 10000;
        http.UserAgent = "MicroFind Agent";

        Stream stream = null;
        try
        {
            HttpWebResponse response = (HttpWebResponse)http.GetResponse();
            stream = response.GetResponseStream();
        }
        catch (WebException)
        {
            outputLiteral.Text = "<span style=\"color: #c00;font-weight: bold;\">There was an error loading the document.</span>";
            return;
        }

        // load the response into an xml document
        XmlDocument xmlDoc = new XmlDocument();
        try
        {
            xmlDoc.Load(stream);
        }
        catch (XmlException)
        {
            outputLiteral.Text = "<span style=\"color: #c00;font-weight: bold;\">There was an error parsing the document.</span>";
            return;
        }

        // parse the microformats out
        List<MicroFormat> mformats = MicroFormatFinder.FindMicroFormats(xmlDoc);

        if (mformats.Count == 0)
        {
            outputLiteral.Text = "<span style=\"font-style: italic;\">No microformats were found.</span>";
        }
        else
        {
            StringBuilder outBuilder = new StringBuilder();
            foreach (MicroFormat mformat in mformats)
            {
                outBuilder.Append(mformat.ToHtml());
                outBuilder.Append("<hr />");
            }
            outputLiteral.Text = outBuilder.ToString();
        }
    }
}
