using System;
using System.Collections.Generic;
using System.Text;
using Selenium;
using NUnit.Framework;

namespace MicroFindSeleniumTests
{
    [TestFixture]
    public class MicroFindTest
    {
        private ISelenium browser;

        [SetUp]
        public void SetUp()
        {
            browser = new DefaultSelenium("localhost",
                4444, "*iexplore", "http://localhost/MicroFind/");
            browser.Start();
        }

        //[Test]
        //public void testLoadError()
        //{
        //    browser.Open("http://localhost/MicroFind/");
        //    browser.Type("urlInput", "http://c0.2");
        //    browser.Click("analyzeButton");
        //    browser.WaitForPageToLoad("5000");
        //    Assert.AreEqual("There was an error loading the document.", browser.GetText("outputDiv"));
        //}

        [Test]
        public void testParseError()
        {
            browser.Open("http://localhost/MicroFind/");
            browser.Type("urlInput", "http://www.google.com");
            browser.Click("analyzeButton");
            browser.WaitForPageToLoad("5000");
            Assert.AreEqual("There was an error parsing the document.", browser.GetText("outputDiv"));
        }

        [Test]
        public void testNoResults()
        {
            browser.Open("http://localhost/MicroFind/");
            browser.Type("urlInput", "http://www.commondream.net");
            browser.Click("analyzeButton");
            browser.WaitForPageToLoad("5000");
            Assert.AreEqual(0, browser.GetXpathCount("//div[@class='vcard']"));
            Assert.AreEqual("No microformats were found.", browser.GetText("outputDiv"));
        }


        [Test]
        public void testValid()
        {
            browser.Open("http://localhost/MicroFind/");
            browser.Type("urlInput", "http://microformats.org");
            browser.Click("analyzeButton");
            browser.WaitForPageToLoad("5000");
            Assert.AreEqual(16, browser.GetXpathCount("//div[@class='vcard']"));
        }

        [TearDown]
        public void TearDown()
        {
            browser.Stop();
        }
    }
}
